| Tipro API Communicate with Tipro devices

Macros | Functions
BF22.h File Reference
`#include "TiproHidDevice.h"`
Include dependency graph for BF22.h:

Go to the source code of this file.

## Macros
#define | BF22_PCM_SCENARIO_AB 0x3C
#define | BF22_PCM_SCENARIO_LR 0x3D
#define | BF22_PCM_SCENARIO_VOID 0x3F
#define | BF22_PCM_SCENARIO_MASK 0x03
#define | BF22_MICAMP_MODE_LOG 0x33
#define | BF22_MICAMP_MODE_LIN 0x37
#define | BF22_MICAMP_MODE_VOID 0x3F
#define | BF22_MICAMP_MODE_MASK 0x0C
#define | BF22_LF_SPK_OFF 0x3C
#define | BF22_LF_SPK_ON 0x3D
#define | BF22_LF_SPK_VOID 0x3F
#define | BF22_LF_SPK_MASK 0x03
#define | BF22_VU_AB_MIC_OFF 0x33
#define | BF22_VU_AB_MIC_ON 0x37
#define | BF22_VU_AB_MIC_VOID 0x3F
#define | BF22_VU_AB_MIC_MASK 0x0C
#define | BF22_LINE_OUT_OFF_SPK 0x10
#define | BF22_LINE_OUT_ON_L_SPK 0x11
#define | BF22_LINE_OUT_ON_R_SPK 0x12
#define | BF22_LINE_OUT_ON_LR_SPK 0x13
#define | BF22_LINE_OUT_VOID 0x14
#define | BF22_LINE_OUT_MASK 0x03
#define | BF22_MIC_OFF_LINE_IN 0x04
#define | BF22_MIC_ON_LINE_IN 0x0C
#define | BF22_MIC_LINE_IN_VOID 0x14
#define | BF22_MIC_LINE_IN_MASK 0x08
#define | BF22_EC_OFF 0x00
#define | BF22_EC_ON_L 0x01
#define | BF22_EC_ON_R 0x02
#define | BF22_EC_ON_LR 0x03
#define | BF22_EC_VOID 0x07
#define | BF22_EC_MASK 0x03
#define | BF22_PTT_LED_OFF 0x00
#define | BF22_PTT_LED_ON 0x10
#define | BF22_PTT_LED_BLINK 0x20
#define | BF22_MIC_ACTIVE 0x00
#define | BF22_MIC_MUTE 0x01
#define | BF22_MIC_LEVEL_P3 0x10
#define | BF22_MIC_LEVEL_P2 0x11
#define | BF22_MIC_LEVEL_P1 0x12
#define | BF22_MIC_LEVEL_0 0x13
#define | BF22_MIC_LEVEL_M1 0x14
#define | BF22_MIC_LEVEL_M2 0x15
#define | BF22_MIC_LEVEL_M3 0x16
#define | BF22_MIC_LEVEL_M4 0x17
#define | BF22_MIC_LEVEL_M5 0x18
#define | BF22_MIC_LEVEL_M6 0x19
#define | BF22_MIC_LEVEL_M7 0x1A
#define | BF22_MIC_LEVEL_M8 0x1B
#define | BF22_MIC_LEVEL_M9 0x1C
#define | BF22_MIC_LEVEL_M10 0x1D
#define | BF22_MIC_LEVEL_M11 0x1E
#define | BF22_MIC_LEVEL_MIN BF22_MIC_LEVEL_P3
#define | BF22_MIC_LEVEL_MAX BF22_MIC_LEVEL_M11
#define | BF22_MIC_DISTANCE_M2 0x0A
#define | BF22_MIC_DISTANCE_M1 0x0B
#define | BF22_MIC_DISTANCE_0 0x0C
#define | BF22_MIC_DISTANCE_P1 0x0D
#define | BF22_MIC_DISTANCE_P2 0x0E
#define | BF22_MIC_DISTANCE_P3 0x0F
#define | BF22_MIC_DISTANCE_P4 0x10
#define | BF22_MIC_DISTANCE_P5 0x11
#define | BF22_MIC_DISTANCE_P6 0x12
#define | BF22_MIC_DISTANCE_P7 0x13
#define | BF22_MIC_DISTANCE_P8 0x14
#define | BF22_MIC_DISTANCE_VERY_SHORT BF22_MIC_DISTANCE_0
#define | BF22_MIC_DISTANCE_SHORT BF22_MIC_DISTANCE_P2
#define | BF22_MIC_DISTANCE_MEDIUM BF22_MIC_DISTANCE_P4
#define | BF22_MIC_DISTANCE_LONG BF22_MIC_DISTANCE_P6
#define | BF22_MIC_DISTANCE_MIN BF22_MIC_DISTANCE_M2
#define | BF22_MIC_DISTANCE_MAX BF22_MIC_DISTANCE_P8
#define | BF22_MIC_COMPRESSION_OFF 0x10
#define | BF22_MIC_COMPRESSION_ON 0x11
#define | BF22_MIC_COMPRESSION_MIN BF22_MIC_COMPRESSION_OFF
#define | BF22_MIC_COMPRESSION_MAX BF22_MIC_COMPRESSION_ON
#define | BF22_MIC_THRESHOLD_HIGH 0x10
#define | BF22_MIC_THRESHOLD_MID 0x11
#define | BF22_MIC_THRESHOLD_LOW 0x12
#define | BF22_MIC_THRESHOLD_LOWER 0x13
#define | BF22_MIC_THRESHOLD_VERY_LOW 0x14
#define | BF22_MIC_THRESHOLD_MIN BF22_MIC_THRESHOLD_HIGH
#define | BF22_MIC_THRESHOLD_MAX BF22_MIC_THRESHOLD_VERY_LOW
#define | BF22_LUMINANCE_MIN 0x00
#define | BF22_LUMINANCE_MAX 0x14
#define | BF22_SPK_LEVEL_MIN 0x00
#define | BF22_SPK_LEVEL_MAX 0x14
#define | BF22_LED_NOCHANGE 0x00
#define | BF22_LED_OFF 0x01
#define | BF22_LED_GREEN 0x03
#define | BF22_LED_RED 0x05
#define | BF22_LED_ORANGE 0x07
#define | BF22_LED_BLINK_OFF_GREEN 0x09
#define | BF22_LED_BLINK_OFF_RED 0x11
#define | BF22_LED_BLINK_OFF_ORANGE 0x19
#define | BF22_LED_BLINK_GREEN_OFF 0x0B
#define | BF22_LED_BLINK_GREEN_RED 0x1B
#define | BF22_LED_BLINK_GREEN_ORANGE 0x13
#define | BF22_LED_BLINK_RED_OFF 0x15
#define | BF22_LED_BLINK_RED_GREEN 0x1D
#define | BF22_LED_BLINK_RED_ORANGE 0x0D
#define | BF22_LED_BLINK_ORANGE_OFF 0x1F
#define | BF22_LED_BLINK_ORANGE_GREEN 0x17
#define | BF22_LED_BLINK_ORANGE_RED 0x0F
#define | BF22_LED_MIN BF22_LED_NOCHANGE
#define | BF22_LED_MAX BF22_LED_BLINK_ORANGE_OFF

## Functions
int | TiproBF22SetPCMScenario (TiproHidDevice *device, int nScenario)
| Sets PCM scenario. More...
int | TiproBF22GetPCMScenario (TiproHidDevice *device, int *nScenario, int *nInitScenario)
| Gets PCM scenario. More...
int | TiproBF22SetMicAmpMode (TiproHidDevice *device, int nMicAmpMode)
| Sets Microphone amplifier mode (Linear/Logarithmic) More...
int | TiproBF22GetMicAmpMode (TiproHidDevice *device, int *nMicAmpMode, int *nInitMicAmpMode)
| Get Microphone amplifier mode (Linear/Logarithmic) More...
int | TiproBF22SetLFSpeakerState (TiproHidDevice *device, int nState)
| Set LF speaker state (ON/OFF) More...
int | TiproBF22GetLFSpeakerState (TiproHidDevice *device, int *nState, int *nInitState)
| Get LF speaker state. More...
int | TiproBF22SetMicOnVUState (TiproHidDevice *device, int nState)
| Sets if microphone level is shown on the VU-meter (ON/OFF) More...
int | TiproBF22GetMicOnVUState (TiproHidDevice *device, int *nState, int *nInitState)
| Get microphone level shown on VU-meter state. More...
int | TiproBF22SetMic2LineInState (TiproHidDevice *device, int nState)
| Sets the connection state (ON/OFF) of the gooseneck microphone to the LINE-IN port on the motherboard. More...
int | TiproBF22GetMic2LineInState (TiproHidDevice *device, int *nState, int *nInitState)
| Returns the connection state (ON/OFF) of the gooseneck microphone to the LINE-IN port on the motherboard. More...
int | TiproBF22SetLineOut2SpkMode (TiproHidDevice *device, int nMode)
| Sets the connection mode (OFF/L/R/LR) of the motherboard LINE-OUT port to the speakers. More...
int | TiproBF22GetLineOut2SpkMode (TiproHidDevice *device, int *nMode, int *nInitMode)
| Returns the connection mode (OFF/L/R/LR) of the motherboard LINE-OUT port to the speakers. More...
int | TiproBF22SetEchoMode (TiproHidDevice *device, int nMode)
| Sets the echo canceler mode (OFF/L/R/LR) More...
int | TiproBF22GetEchoMode (TiproHidDevice *device, int *nMode, int *nInitMode)
| Returns the echo canceler mode (OFF/L/R/LR) More...
int | TiproBF22TouchscreenDisable (TiproHidDevice *device)
| Disables touchscreen. More...
int | TiproBF22TouchscreenEnable (TiproHidDevice *device)
| Enables touchscreen. More...
int | TiproBF22SetPTTKeyLEDState (TiproHidDevice *device, int nState)
| Sets the LED state of illuminated PTT key. More...
int | TiproBF22SetPTTKeyLEDStateEx (TiproHidDevice *device, int nState, int nTBlinkOn, int nTBlinkOff)
| Sets the operation of the illuminated PTT key with more paramters. More...
int | TiproBF22GetPTTKeyLEDState (TiproHidDevice *device, int *nState)
| Returns the LED state of the illuminated PTT Key. More...
int | TiproBF22MuteMicrophone (TiproHidDevice *device, int nMute)
| Mutes/un-mutes the microphone signal. More...
int | TiproBF22SetLeftSpeakerLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the left speaker. More...
int | TiproBF22GetLeftSpeakerLevel (TiproHidDevice *device, int *nLevel)
| Returns the level of the left speaker. More...
int | TiproBF22SetRightSpeakerLevel (TiproHidDevice *device, int nLevel)
| Sets the level of the right speaker. More...
int | TiproBF22GetRightSpeakerLevel (TiproHidDevice *device, int *nLevel)
| Returns the level of the right speaker. More...
int | TiproBF22SetMicrophoneLevel (TiproHidDevice *device, int nLevel, bool bSetInit)
| Sets the gooseneck microphone level. More...
int | TiproBF22GetMicrophoneLevel (TiproHidDevice *device, int *nLevel, int *nInitLevel)
| Returns the googeneck microphone level. More...
int | TiproBF22SetMicrophoneOptimalDistance (TiproHidDevice *device, int nDistance, bool bSetInit)
| Sets the microphone optimal distance. More...
int | TiproBF22GetMicrophoneOptimalDistance (TiproHidDevice *device, int *nDistance, int *nInitDistance)
| Gets the microphone optimal distance. More...
int | TiproBF22GetMicrophoneThreshold (TiproHidDevice *device, int *nThreshold, int *nInitThreshold)
| Returns threshold for the microphone signal. More...
int | TiproBF22SetMicrophoneThreshold (TiproHidDevice *device, int nThreshold, bool bSetInit)
| Sets threshold for the microphone signal. More...
int | TiproBF22GetMicrophoneCompression (TiproHidDevice *device, int *nCompression, int *nInitCompression)
| Returns compression for the microphone signal. More...
int | TiproBF22SetMicrophoneCompression (TiproHidDevice *device, int nCompression, bool bSetInit)
| Sets compression for the microphone signal. More...
int | TiproBF22GetLuminance (TiproHidDevice *device, int *nLuminance)
| Returns luminance for both stripe and LCD backlight. More...
int | TiproBF22SetLuminance (TiproHidDevice *device, int nLuminance)
| Sets luminance for both stripe and LCD backlight. More...
int | TiproBF22GetPTTKeyState (TiproHidDevice *device, int *nState)
| Returns the state of the PTT key. More...
int | TiproBF22SetLineKeysLedState (TiproHidDevice *device, int nKey1State, int nKey2State, int nKey3State, int nKey4State, int nKey5State, int nKey6State, int nKey7State, int nKey8State, int nKey9State, int nKey10State, int nKey11State, int nKey12State, int nKey13State, int nKey14State, int nKey15State, int nKey16State)
| Sets the LED state for each key LED of Line-keys. More...
int | TiproBF22GetLineKeysLedState (TiproHidDevice *device, int *nKey1State, int *nKey2State, int *nKey3State, int *nKey4State, int *nKey5State, int *nKey6State, int *nKey7State, int *nKey8State, int *nKey9State, int *nKey10State, int *nKey11State, int *nKey12State, int *nKey13State, int *nKey14State, int *nKey15State, int *nKey16State)
| Returns the LED state for each key LED of Line-keys. More...

## Detailed Description

BF22

This file includes functions for communication with BF22.

BeFREE 22 (BF22) is a touchcomputer with integrated intercom and programmable keys.

Tipro

suppo.nosp@m.rt@t.nosp@m.ipro..nosp@m.si

Copyright 2021

## Macro Definition Documentation

## ◆ BF22_EC_OFF

#define BF22_EC_OFF 0x00

Echo canceller disabled.

## ◆ BF22_EC_ON_L

#define BF22_EC_ON_L 0x01

Echo canceller enabled. Left speaker signal as reference.

## ◆ BF22_EC_ON_LR

#define BF22_EC_ON_LR 0x03

Echo canceller enabled. Left and right speaker signal as reference.

## ◆ BF22_EC_ON_R

#define BF22_EC_ON_R 0x02

Echo canceller enabled. Right speaker signal as reference.

## ◆ BF22_LF_SPK_OFF

#define BF22_LF_SPK_OFF 0x3C

Central speaker disabled.

## ◆ BF22_LF_SPK_ON

#define BF22_LF_SPK_ON 0x3D

Central speaker activated.

## ◆ BF22_LINE_OUT_OFF_SPK

#define BF22_LINE_OUT_OFF_SPK 0x10

Soundcard is not connected to the speakers.

## ◆ BF22_LINE_OUT_ON_L_SPK

#define BF22_LINE_OUT_ON_L_SPK 0x11

Left channel of soundcard to left speaker.

## ◆ BF22_LINE_OUT_ON_LR_SPK

#define BF22_LINE_OUT_ON_LR_SPK 0x13

Left channel of soundcard to left speaker and right channel to right speaker.

## ◆ BF22_LINE_OUT_ON_R_SPK

#define BF22_LINE_OUT_ON_R_SPK 0x12

Right channel of soundcard to right speaker.

## ◆ BF22_LUMINANCE_MAX

#define BF22_LUMINANCE_MAX 0x14

LCD screen luminance 20 (maximum)

## ◆ BF22_LUMINANCE_MIN

#define BF22_LUMINANCE_MIN 0x00

LCD screen luminance 0 (minimum)

## ◆ BF22_MIC_ACTIVE

#define BF22_MIC_ACTIVE 0x00

Microphone is active.

## ◆ BF22_MIC_COMPRESSION_OFF

#define BF22_MIC_COMPRESSION_OFF 0x10

Microphone compression off

## ◆ BF22_MIC_COMPRESSION_ON

#define BF22_MIC_COMPRESSION_ON 0x11

Microphone compression on

## ◆ BF22_MIC_DISTANCE_0

#define BF22_MIC_DISTANCE_0 0x0C

Microphone preamplifier level 0

## ◆ BF22_MIC_DISTANCE_LONG

#define BF22_MIC_DISTANCE_LONG BF22_MIC_DISTANCE_P6

Long distance (~200 cm)

## ◆ BF22_MIC_DISTANCE_M1

#define BF22_MIC_DISTANCE_M1 0x0B

Microphone preamplifier level -1

## ◆ BF22_MIC_DISTANCE_M2

#define BF22_MIC_DISTANCE_M2 0x0A

Microphone preamplifier level -2 (minimum)

## ◆ BF22_MIC_DISTANCE_MEDIUM

#define BF22_MIC_DISTANCE_MEDIUM BF22_MIC_DISTANCE_P4

Medium distance (~100 cm)

## ◆ BF22_MIC_DISTANCE_P1

#define BF22_MIC_DISTANCE_P1 0x0D

Microphone preamplifier level +1

## ◆ BF22_MIC_DISTANCE_P2

#define BF22_MIC_DISTANCE_P2 0x0E

Microphone preamplifier level +2

## ◆ BF22_MIC_DISTANCE_P3

#define BF22_MIC_DISTANCE_P3 0x0F

Microphone preamplifier level +3

## ◆ BF22_MIC_DISTANCE_P4

#define BF22_MIC_DISTANCE_P4 0x10

Microphone preamplifier level +4

## ◆ BF22_MIC_DISTANCE_P5

#define BF22_MIC_DISTANCE_P5 0x11

Microphone preamplifier level +5

## ◆ BF22_MIC_DISTANCE_P6

#define BF22_MIC_DISTANCE_P6 0x12

Microphone preamplifier level +6

## ◆ BF22_MIC_DISTANCE_P7

#define BF22_MIC_DISTANCE_P7 0x13

Microphone preamplifier level +7

## ◆ BF22_MIC_DISTANCE_P8

#define BF22_MIC_DISTANCE_P8 0x14

Microphone preamplifier level +8 (maximum)

## ◆ BF22_MIC_DISTANCE_SHORT

#define BF22_MIC_DISTANCE_SHORT BF22_MIC_DISTANCE_P2

Short distance (~30 cm)

## ◆ BF22_MIC_DISTANCE_VERY_SHORT

#define BF22_MIC_DISTANCE_VERY_SHORT BF22_MIC_DISTANCE_0

Very short distance (~10 cm)

## ◆ BF22_MIC_LEVEL_0

#define BF22_MIC_LEVEL_0 0x13

Microphone attenuation level 0

## ◆ BF22_MIC_LEVEL_M1

#define BF22_MIC_LEVEL_M1 0x14

Microphone attenuation level -1

## ◆ BF22_MIC_LEVEL_M10

#define BF22_MIC_LEVEL_M10 0x1D

Microphone attenuation level -10

## ◆ BF22_MIC_LEVEL_M11

#define BF22_MIC_LEVEL_M11 0x1E

Microphone attenuation level -11 (minimum)

## ◆ BF22_MIC_LEVEL_M2

#define BF22_MIC_LEVEL_M2 0x15

Microphone attenuation level -2

## ◆ BF22_MIC_LEVEL_M3

#define BF22_MIC_LEVEL_M3 0x16

Microphone attenuation level -3

## ◆ BF22_MIC_LEVEL_M4

#define BF22_MIC_LEVEL_M4 0x17

Microphone attenuation level -4

## ◆ BF22_MIC_LEVEL_M5

#define BF22_MIC_LEVEL_M5 0x18

Microphone attenuation level -5

## ◆ BF22_MIC_LEVEL_M6

#define BF22_MIC_LEVEL_M6 0x19

Microphone attenuation level -6

## ◆ BF22_MIC_LEVEL_M7

#define BF22_MIC_LEVEL_M7 0x1A

Microphone attenuation level -7

## ◆ BF22_MIC_LEVEL_M8

#define BF22_MIC_LEVEL_M8 0x1B

Microphone attenuation level -8

## ◆ BF22_MIC_LEVEL_M9

#define BF22_MIC_LEVEL_M9 0x1C

Microphone attenuation level -9

## ◆ BF22_MIC_LEVEL_P1

#define BF22_MIC_LEVEL_P1 0x12

Microphone attenuation level +1

## ◆ BF22_MIC_LEVEL_P2

#define BF22_MIC_LEVEL_P2 0x11

Microphone attenuation level +2

## ◆ BF22_MIC_LEVEL_P3

#define BF22_MIC_LEVEL_P3 0x10

Microphone attenuation level +3 (maximum)

## ◆ BF22_MIC_MUTE

#define BF22_MIC_MUTE 0x01

Microphone is muted.

## ◆ BF22_MIC_OFF_LINE_IN

#define BF22_MIC_OFF_LINE_IN 0x04

Signal from microphone not added to analogue line in.

## ◆ BF22_MIC_ON_LINE_IN

#define BF22_MIC_ON_LINE_IN 0x0C

Signal from microphone added to analogue line in.

## ◆ BF22_MIC_THRESHOLD_HIGH

#define BF22_MIC_THRESHOLD_HIGH 0x10

Microphone noise threshold high

## ◆ BF22_MIC_THRESHOLD_LOW

#define BF22_MIC_THRESHOLD_LOW 0x12

Microphone noise threshold low

## ◆ BF22_MIC_THRESHOLD_LOWER

#define BF22_MIC_THRESHOLD_LOWER 0x13

Microphone noise threshold lower

## ◆ BF22_MIC_THRESHOLD_MID

#define BF22_MIC_THRESHOLD_MID 0x11

Microphone noise threshold medium

## ◆ BF22_MIC_THRESHOLD_VERY_LOW

#define BF22_MIC_THRESHOLD_VERY_LOW 0x14

Microphone noise threshold very low

## ◆ BF22_MICAMP_MODE_LIN

#define BF22_MICAMP_MODE_LIN 0x37

Microphone amplifier mode - Linear

## ◆ BF22_MICAMP_MODE_LOG

#define BF22_MICAMP_MODE_LOG 0x33

Microphone amplifier mode - Logaritmic. When the microphone amplifier is set to logaritmic mode, you can set additional settings: optimal distance, noise threshold and compression.

## ◆ BF22_PCM_SCENARIO_AB

#define BF22_PCM_SCENARIO_AB 0x3C

PMC scenario - Both channels of codec A to left speaker and both channels of codec B to right speaker.

## ◆ BF22_PCM_SCENARIO_LR

#define BF22_PCM_SCENARIO_LR 0x3D

PMC scenario - Left channels of codec A and B to left speaker and right channels of codec A and B to right speaker.

## ◆ BF22_PTT_LED_BLINK

#define BF22_PTT_LED_BLINK 0x20

PTT LED blinks.

## ◆ BF22_PTT_LED_OFF

#define BF22_PTT_LED_OFF 0x00

PTT LED is off.

## ◆ BF22_PTT_LED_ON

#define BF22_PTT_LED_ON 0x10

PTT LED lights.

## ◆ BF22_SPK_LEVEL_MAX

#define BF22_SPK_LEVEL_MAX 0x14

Speaker level 20 (maximum)

## ◆ BF22_SPK_LEVEL_MIN

#define BF22_SPK_LEVEL_MIN 0x00

Speaker level 0 (minimum)

## ◆ BF22_VU_AB_MIC_OFF

#define BF22_VU_AB_MIC_OFF 0x33

Microphone signal is not shown.

## ◆ BF22_VU_AB_MIC_ON

#define BF22_VU_AB_MIC_ON 0x37

Microphone signal is shown on VU meter.

## Function Documentation

## ◆ TiproBF22GetEchoMode()

int TiproBF22GetEchoMode | ( | TiproHidDevice * | device,
|  | int * | nMode,
|  | int * | nInitMode
| ) |  |

Returns the echo canceler mode (OFF/L/R/LR)

Parameters

  [in] | device | Device
  [out] | nMode | echo canceler mode (OFF/L/R/LR)
  [out] | nInitMode | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetLeftSpeakerLevel()

int TiproBF22GetLeftSpeakerLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the level of the left speaker.

Parameters

  [in] | device | Device
  [out] | nLevel | speaker level (0 - 20)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetLFSpeakerState()

int TiproBF22GetLFSpeakerState | ( | TiproHidDevice * | device,
|  | int * | nState,
|  | int * | nInitState
| ) |  |

Get LF speaker state.

Parameters

  [in] | device | Device
  [out] | nState | LF speaker state (on/off)
  [out] | nInitState | Initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetLineKeysLedState()

int TiproBF22GetLineKeysLedState | ( | TiproHidDevice * | device,
|  | int * | nKey1State,
|  | int * | nKey2State,
|  | int * | nKey3State,
|  | int * | nKey4State,
|  | int * | nKey5State,
|  | int * | nKey6State,
|  | int * | nKey7State,
|  | int * | nKey8State,
|  | int * | nKey9State,
|  | int * | nKey10State,
|  | int * | nKey11State,
|  | int * | nKey12State,
|  | int * | nKey13State,
|  | int * | nKey14State,
|  | int * | nKey15State,
|  | int * | nKey16State
| ) |  |

Returns the LED state for each key LED of Line-keys.

Parameters

  [in] | device | Device
  [out] | nKey1State,nKey2State,nKey3State,nKey4State,nKey5State,nKey6State,nKey7State,nKey8State,nKey9State,nKey10State,nKey11State,nKey12State,nKey13State,nKey14State,nKey15State,nKey16State | LED state of each key from left to right (BF22_LED_OFF/BF22_LED_GREEN/BF22_LED_RED/BF22_LED_ORANGE/BF22_LED_BLINK_OFF_GREEN/BF22_LED_BLINK_OFF_RED/BF22_LED_BLINK_OFF_ORANGE/BF22_LED_BLINK_GREEN_OFF/BF22_LED_BLINK_GREEN_RED/BF22_LED_BLINK_GREEN_ORANGE/BF22_LED_BLINK_RED_OFF/BF22_LED_BLINK_RED_GREEN/BF22_LED_BLINK_RED_ORANGE/BF22_LED_BLINK_ORANGE_OFF/BF22_LED_BLINK_ORANGE_GREEN/BF22_LED_BLINK_ORANGE_RED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetLineOut2SpkMode()

int TiproBF22GetLineOut2SpkMode | ( | TiproHidDevice * | device,
|  | int * | nMode,
|  | int * | nInitMode
| ) |  |

Returns the connection mode (OFF/L/R/LR) of the motherboard LINE-OUT port to the speakers.

Parameters

  [in] | device | Device
  [out] | nMode | connection mode (OFF/L/R/LR)
  [out] | nInitMode | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetLuminance()

int TiproBF22GetLuminance | ( | TiproHidDevice * | device,
|  | int * | nLuminance
| ) |  |

Returns luminance for both stripe and LCD backlight.

Parameters

  [in] | device | Device
  [out] | nLuminance | luminance index (0-darkest; 20-brightest)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMic2LineInState()

int TiproBF22GetMic2LineInState | ( | TiproHidDevice * | device,
|  | int * | nState,
|  | int * | nInitState
| ) |  |

Returns the connection state (ON/OFF) of the gooseneck microphone to the LINE-IN port on the motherboard.

Parameters

  [in] | device | Device
  [out] | nState | connection state (ON/OFF)
  [out] | nInitState | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMicAmpMode()

int TiproBF22GetMicAmpMode | ( | TiproHidDevice * | device,
|  | int * | nMicAmpMode,
|  | int * | nInitMicAmpMode
| ) |  |

Get Microphone amplifier mode (Linear/Logarithmic)

Parameters

  [in] | device | Device
  [out] | nMicAmpMode | Microphone amplifier mode (LIN/LOG)
  [out] | nInitMicAmpMode | Initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMicOnVUState()

int TiproBF22GetMicOnVUState | ( | TiproHidDevice * | device,
|  | int * | nState,
|  | int * | nInitState
| ) |  |

Get microphone level shown on VU-meter state.

Parameters

  [in] | device | Device
  [out] | nState | microphone level on VU-meter state (on/off)
  [out] | nInitState | Initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMicrophoneCompression()

int TiproBF22GetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int * | nCompression,
|  | int * | nInitCompression
| ) |  |

Returns compression for the microphone signal.

Parameters

  [in] | device | Device
  [out] | nCompression | microphone compression
  [out] | nInitCompression | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMicrophoneLevel()

int TiproBF22GetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel,
|  | int * | nInitLevel
| ) |  |

Returns the googeneck microphone level.

Parameters

  [in] | device | Device
  [out] | nLevel | microphone level
  [out] | nInitLevel | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMicrophoneOptimalDistance()

int TiproBF22GetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int * | nDistance,
|  | int * | nInitDistance
| ) |  |

Gets the microphone optimal distance.

Parameters

  [in] | device | Device
  [out] | nDistance | microphone optimal distance
  [out] | nInitDistance | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetMicrophoneThreshold()

int TiproBF22GetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int * | nThreshold,
|  | int * | nInitThreshold
| ) |  |

Returns threshold for the microphone signal.

Parameters

  [in] | device | Device
  [out] | nThreshold | microphone threshold
  [out] | nInitThreshold | initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetPCMScenario()

int TiproBF22GetPCMScenario | ( | TiproHidDevice * | device,
|  | int * | nScenario,
|  | int * | nInitScenario
| ) |  |

Gets PCM scenario.

Parameters

  [in] | device | Device
  [out] | nScenario | PCM scenario (AB2LR / LR2LR)
  [out] | nInitScenario | Initial state from EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetPTTKeyLEDState()

int TiproBF22GetPTTKeyLEDState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns the LED state of the illuminated PTT Key.

Parameters

  [in] | device | Device
  [out] | nState | state of the LED (LED_ON/LED_OFF/LED_BLINK)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetPTTKeyState()

int TiproBF22GetPTTKeyState | ( | TiproHidDevice * | device,
|  | int * | nState
| ) |  |

Returns the state of the PTT key.

Parameters

  [in] | device | Device
  [out] | nState | state of the key (KEY_PRESSED / KEY_RELEASED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22GetRightSpeakerLevel()

int TiproBF22GetRightSpeakerLevel | ( | TiproHidDevice * | device,
|  | int * | nLevel
| ) |  |

Returns the level of the right speaker.

Parameters

  [in] | device | Device
  [out] | nLevel | speaker level (0 - 20)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22MuteMicrophone()

int TiproBF22MuteMicrophone | ( | TiproHidDevice * | device,
|  | int | nMute
| ) |  |

Mutes/un-mutes the microphone signal.

Parameters

  [in] | device | Device
  [in] | nMute | mute/un-mute microphone

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetEchoMode()

int TiproBF22SetEchoMode | ( | TiproHidDevice * | device,
|  | int | nMode
| ) |  |

Sets the echo canceler mode (OFF/L/R/LR)

Parameters

  [in] | device | Device
  [in] | nMode | echo canceler mode (OFF/L/R/LR)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetLeftSpeakerLevel()

int TiproBF22SetLeftSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the left speaker.

Parameters

  [in] | device | Device
  [in] | nLevel | Speaker level (0 - 20)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetLFSpeakerState()

int TiproBF22SetLFSpeakerState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Set LF speaker state (ON/OFF)

Parameters

  [in] | device | Device
  [in] | nState | LF speaker state (on/off)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetLineKeysLedState()

int TiproBF22SetLineKeysLedState | ( | TiproHidDevice * | device,
|  | int | nKey1State,
|  | int | nKey2State,
|  | int | nKey3State,
|  | int | nKey4State,
|  | int | nKey5State,
|  | int | nKey6State,
|  | int | nKey7State,
|  | int | nKey8State,
|  | int | nKey9State,
|  | int | nKey10State,
|  | int | nKey11State,
|  | int | nKey12State,
|  | int | nKey13State,
|  | int | nKey14State,
|  | int | nKey15State,
|  | int | nKey16State
| ) |  |

Sets the LED state for each key LED of Line-keys.

Parameters

  [in] | device | Device
  [in] | nKey1State,nKey2State,nKey3State,nKey4State,nKey5State,nKey6State,nKey7State,nKey8State,nKey9State,nKey10State,nKey11State,nKey12State,nKey13State,nKey14State,nKey15State,nKey16State | LED state for each key from left to right (BF22_LED_NOCHANGE/BF22_LED_OFF/BF22_LED_GREEN/BF22_LED_RED/BF22_LED_ORANGE/BF22_LED_BLINK_OFF_GREEN/BF22_LED_BLINK_OFF_RED/BF22_LED_BLINK_OFF_ORANGE/BF22_LED_BLINK_GREEN_OFF/BF22_LED_BLINK_GREEN_RED/BF22_LED_BLINK_GREEN_ORANGE/BF22_LED_BLINK_RED_OFF/BF22_LED_BLINK_RED_GREEN/BF22_LED_BLINK_RED_ORANGE/BF22_LED_BLINK_ORANGE_OFF/BF22_LED_BLINK_ORANGE_GREEN/BF22_LED_BLINK_ORANGE_RED)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetLineOut2SpkMode()

int TiproBF22SetLineOut2SpkMode | ( | TiproHidDevice * | device,
|  | int | nMode
| ) |  |

Sets the connection mode (OFF/L/R/LR) of the motherboard LINE-OUT port to the speakers.

Parameters

  [in] | device | Device
  [in] | nMode | connection mode (OFF/L/R/LR)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetLuminance()

int TiproBF22SetLuminance | ( | TiproHidDevice * | device,
|  | int | nLuminance
| ) |  |

Sets luminance for both stripe and LCD backlight.

Parameters

  [in] | device | Device
  [in] | nLuminance | luminance index (0-darkest; 20-brightest)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMic2LineInState()

int TiproBF22SetMic2LineInState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Sets the connection state (ON/OFF) of the gooseneck microphone to the LINE-IN port on the motherboard.

Parameters

  [in] | device | Device
  [in] | nState | connection state (ON/OFF)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMicAmpMode()

int TiproBF22SetMicAmpMode | ( | TiproHidDevice * | device,
|  | int | nMicAmpMode
| ) |  |

Sets Microphone amplifier mode (Linear/Logarithmic)

Parameters

  [in] | device | Device
  [in] | nMicAmpMode | Microphone amplifier mode (LIN/LOG)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMicOnVUState()

int TiproBF22SetMicOnVUState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Sets if microphone level is shown on the VU-meter (ON/OFF)

Parameters

  [in] | device | Device
  [in] | nState | Microphone on VU-meter state (on/off)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMicrophoneCompression()

int TiproBF22SetMicrophoneCompression | ( | TiproHidDevice * | device,
|  | int | nCompression,
|  | bool | bSetInit
| ) |  |

Sets compression for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nCompression | microphone compression
  [in] | bSetInit | write initial state to EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMicrophoneLevel()

int TiproBF22SetMicrophoneLevel | ( | TiproHidDevice * | device,
|  | int | nLevel,
|  | bool | bSetInit
| ) |  |

Sets the gooseneck microphone level.

Parameters

  [in] | device | Device
  [in] | nLevel | microphone level
  [in] | bSetInit | write initial state to EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMicrophoneOptimalDistance()

int TiproBF22SetMicrophoneOptimalDistance | ( | TiproHidDevice * | device,
|  | int | nDistance,
|  | bool | bSetInit
| ) |  |

Sets the microphone optimal distance.

Parameters

  [in] | device | Device
  [in] | nDistance | microphone optimal distance
  [in] | bSetInit | write initial state to EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetMicrophoneThreshold()

int TiproBF22SetMicrophoneThreshold | ( | TiproHidDevice * | device,
|  | int | nThreshold,
|  | bool | bSetInit
| ) |  |

Sets threshold for the microphone signal.

Parameters

  [in] | device | Device
  [in] | nThreshold | microphone threshold
  [in] | bSetInit | write initial state to EEPROM

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetPCMScenario()

int TiproBF22SetPCMScenario | ( | TiproHidDevice * | device,
|  | int | nScenario
| ) |  |

Sets PCM scenario.

Parameters

  [in] | device | Device
  [in] | nScenario | PCM scenario (AB2LR / LR2LR)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetPTTKeyLEDState()

int TiproBF22SetPTTKeyLEDState | ( | TiproHidDevice * | device,
|  | int | nState
| ) |  |

Sets the LED state of illuminated PTT key.

Parameters

  [in] | device | Device
  [in] | nState | PTT LED state (PTT_LED_ON/PTT_LED_OFF/PTT_LED_BLINK)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetPTTKeyLEDStateEx()

int TiproBF22SetPTTKeyLEDStateEx | ( | TiproHidDevice * | device,
|  | int | nState,
|  | int | nTBlinkOn,
|  | int | nTBlinkOff
| ) |  |

Sets the operation of the illuminated PTT key with more paramters.

Parameters

  [in] | device | Device
  [in] | nState | PTT LED state (PTT_LED_ON/PTT_LED_OFF/PTT_LED_BLINK)
  [in] | nTBlinkOn | On period for blink mode (ms)
  [in] | nTBlinkOff | Off period for blink mode (ms)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22SetRightSpeakerLevel()

int TiproBF22SetRightSpeakerLevel | ( | TiproHidDevice * | device,
|  | int | nLevel
| ) |  |

Sets the level of the right speaker.

Parameters

  [in] | device | Device
  [in] | nLevel | speaker level (0 - 20)

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22TouchscreenDisable()

int TiproBF22TouchscreenDisable | ( | TiproHidDevice * | device | ) |

Disables touchscreen.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code

## ◆ TiproBF22TouchscreenEnable()

int TiproBF22TouchscreenEnable | ( | TiproHidDevice * | device | ) |

Enables touchscreen.

Parameters

  [in] | device | Device

Returns
  Command status: 0-OK, else error code